Edit

Items - Update Logical Id

Updates the logical ID for the specified item.
Corresponding item instances share the same logical ID. Use this operation to resolve logical ID conflicts. Before changing the logical ID, review any automations that rely on its current value and update them as needed. Otherwise, those automations might fail to locate the item or fail because of a duplicate display name. For more information, see Resolve logical ID conflicts in Microsoft Fabric.

Permissions

The caller must have read and write permissions for the item.

Required Delegated Scopes

For item APIs, use one of the following scope types:

  • Generic scope: Item.ReadWrite.All.
  • Specific scope: itemType.ReadWrite.All (for example, Notebook.ReadWrite.All).

For more information about scopes, see Scopes.

Limitations

  • The logical ID can't be an empty GUID (00000000-0000-0000-0000-000000000000).
  • The logical ID must be unique within the workspace.
  • The operation isn't supported while a CI/CD operation is active in the workspace.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

PATCH https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/items/{itemId}/logicalId

URI Parameters

Name In Required Type Description
itemId
path True

string (uuid)

The item ID.

workspaceId
path True

string (uuid)

The workspace ID.

Request Body

Name Required Type Description
logicalId True

string (uuid)

The logical ID to update for the item.

Responses

Name Type Description
200 OK

LogicalIdResponse

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • ItemNotFound - The requested item was not found.

  • ActiveCiCdOperationInProgress - A CI/CD operation is active in the workspace.

Examples

Update logical ID example

Sample request

PATCH https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/items/5b218778-e7a5-4d73-8187-f10824047715/logicalId

{
  "logicalId": "cfafbeb1-8037-4d0c-896e-a46fb27ff229"
}

Sample response

{
  "logicalId": "cfafbeb1-8037-4d0c-896e-a46fb27ff229"
}

Definitions

Name Description
ErrorParameter

A structured parameter providing additional machine-readable context about an error.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

LogicalIdResponse

Logical ID response.

UpdateLogicalIdRequest

Update logical ID request payload.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

Name Type Description
message

string

A human-readable description of the parameter's meaning.

name

string

The parameter identifier.

value

string

The parameter value.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

LogicalIdResponse

Logical ID response.

Name Type Description
logicalId

string (uuid)

The logical ID of the item.

UpdateLogicalIdRequest

Update logical ID request payload.

Name Type Description
logicalId

string (uuid)

The logical ID to update for the item.